edu.isi.pegasus.planner.catalog.transformation.classes

## Class VDSSysInfo

- java.lang.Object
- - edu.isi.pegasus.planner.catalog.transformation.classes.VDSSysInfo

    public class VDSSysInfo
    extends java.lang.Object

This class keeps the system information associated with a resource or transformation.

Version:
  $Revision$
Author:
  Gaurang Mehta gmehta@isi.edu

### Field Summary

Fields
`private Arch` `arch` Architecture of the system.
`private java.lang.String` `glibc` Glibc version of the system
`private Os` `os` Os of the system.
`private java.lang.String` `osversion` Os version of the system.

### Constructor Summary

Constructors
Constructor and Description
`VDSSysInfo()` The default constructor.
`VDSSysInfo(Arch arch, Os os, java.lang.String osversion, java.lang.String glibc)` The secondary convenience constructor.
`VDSSysInfo(java.lang.String system)`
`VDSSysInfo(java.lang.String arch, java.lang.String os, java.lang.String glibc)` Another convenience constructor that uses all entries as strings.
`VDSSysInfo(java.lang.String arch, java.lang.String os, java.lang.String osversion, java.lang.String glibc)` Another convenience constructor that uses all entries as strings.

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.Object` `clone()` Return a copy of this Sysinfo object
`boolean` `equals(java.lang.Object obj)` Check if the system information matches.
`Arch` `getArch()` Returns the architecture of the sytem.
`java.lang.String` `getGlibc()` Retuns the glibc version of the system.
`Os` `getOs()` Returns the os type of the system.
`java.lang.String` `getOsversion()` Returns the os version of the system.
`void` `setArch(Arch arch)` Sets the architecture of the system.
`void` `setGlibc(java.lang.String glibc)` Sets the glibc version of the system
`void` `setOs(Os os)` Sets the Os of the sytem.
`void` `setOsversion(java.lang.String osversion)` Sets the Os version of the system.
`java.lang.String` `toString()` Returns the output of the data class as string.

### Methods inherited from class java.lang.Object

`finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### arch

    private Arch arch

Architecture of the system.

#### os

    private Os os

Os of the system.

#### osversion

    private java.lang.String osversion

Os version of the system.

#### glibc

    private java.lang.String glibc

Glibc version of the system

### Constructor Detail

#### VDSSysInfo

    public VDSSysInfo(Arch arch,
                      Os os,
                      java.lang.String osversion,
                      java.lang.String glibc)

The secondary convenience constructor.

Parameters:
  `arch` - Arch The architecture of the system.
  `os` - Os The os of the system.
  `osversion` - String The os version of the system.
  `glibc` - String The glibc version of the system.
See Also:
  `Arch`, `Os`

#### VDSSysInfo

    public VDSSysInfo(java.lang.String arch,
                      java.lang.String os,
                      java.lang.String glibc)

Another convenience constructor that uses all entries as strings.

Parameters:
  `arch` - String
  `os` - String
  `glibc` - String

#### VDSSysInfo

    public VDSSysInfo(java.lang.String arch,
                      java.lang.String os,
                      java.lang.String osversion,
                      java.lang.String glibc)

Another convenience constructor that uses all entries as strings.

Parameters:
  `arch` - String
  `os` - String
  `osversion` - String
  `glibc` - String

#### VDSSysInfo

    public VDSSysInfo(java.lang.String system)

#### VDSSysInfo

    public VDSSysInfo()

The default constructor. Sets the sysinfo to INTEL32::LINUX

### Method Detail

#### setArch

    public void setArch(Arch arch)

Sets the architecture of the system.

Parameters:
  `arch` - Arch
See Also:
  `Arch`

#### setOs

    public void setOs(Os os)

Sets the Os of the sytem.

Parameters:
  `os` - Os
See Also:
  `Os`

#### setOsversion

    public void setOsversion(java.lang.String osversion)

Sets the Os version of the system.

Parameters:
  `osversion` - String

#### setGlibc

    public void setGlibc(java.lang.String glibc)

Sets the glibc version of the system

Parameters:
  `glibc` - String

#### getArch

    public Arch getArch()

Returns the architecture of the sytem.

Returns:
  Arch
See Also:
  `Arch`

#### getOs

    public Os getOs()

Returns the os type of the system.

Returns:
  Os
See Also:
  `Os`

#### getOsversion

    public java.lang.String getOsversion()

Returns the os version of the system.

Returns:
  String

#### getGlibc

    public java.lang.String getGlibc()

Retuns the glibc version of the system.

Returns:
  String

#### clone

    public java.lang.Object clone()

Return a copy of this Sysinfo object

Overrides:
  `clone` in class `java.lang.Object`
Returns:
  Object

#### equals

    public boolean equals(java.lang.Object obj)

Check if the system information matches.

Overrides:
  `equals` in class `java.lang.Object`
Parameters:
  `obj` - to be compared.
Returns:
  boolean

#### toString

    public java.lang.String toString()

Returns the output of the data class as string.

Overrides:
  `toString` in class `java.lang.Object`
Returns:
  String